> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Startet eine erneute Indizierung des Katalogs

> Wenn die Indizierung zuvor gestartet wurde und keine Reindizierung durchgeführt wurde, basiert die Extraktionssuche auf den zuvor indizierten Daten.
Wenn die Indizierung noch nie gestartet wurde, wird die Extraktionssuche nicht durchgeführt.



## OpenAPI

````yaml /de/openapi.json post /api/publicapi/v1/catalogs/{catalogId}/reindex
openapi: 3.0.4
info:
  description: 'Umgebung: Produktion<br>Produktversion: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: Produktion USA
    url: https://vantage-us.abbyy.com
  - description: Produktion Europa
    url: https://vantage-eu.abbyy.com
  - description: Produktion Australien
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}/reindex:
    post:
      tags:
        - Catalogs
      summary: Startet eine erneute Indizierung des Katalogs
      description: >-
        Wenn die Indizierung zuvor gestartet wurde und keine Reindizierung
        durchgeführt wurde, basiert die Extraktionssuche auf den zuvor
        indizierten Daten.

        Wenn die Indizierung noch nie gestartet wurde, wird die Extraktionssuche
        nicht durchgeführt.
      operationId: StartCatalogReindex
      parameters:
        - description: Katalog-ID. Sie finden sie in der Liste aller Kataloge.
          in: path
          name: catalogId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
          description: OK
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Nicht gefunden
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult:
      additionalProperties: false
      properties:
        completed:
          description: Zeitpunkt des Abschlusses des Vorgangs
          nullable: true
          type: string
        created:
          description: Erstellungszeitpunkt des Vorgangs
          format: date-time
          type: string
        currentState:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.ReindexState
        id:
          description: Eindeutige ID des Vorgangs
          format: uuid
          type: string
        indexModelId:
          description: ID des Indexmodells, das zur Analyse von Dokumenten verwendet wird
          nullable: true
          type: string
        workflowProcessingId:
          description: ID des Vorgangsworkflows
          nullable: true
          type: string
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Catalogs.ReindexState:
      enum:
        - InProgress
        - Failed
        - Completed
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````